POSTGet ENS Name By Address

Data APIhttps://web3.nodit.io/v1/ethereum/mainnet/ens/getEnsNameByAddress

Returns the mapped ENS domain name by entering an address.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Request Body
addressstringrequired

Parameter specifying the account address to query. Can be entered as a 40-character hexadecimal string starting with 0x.

Responses
namestring

The ENS domain name mapped to the address. Returns null if no ENS domain is mapped to the address. If domain renewal or new registration does not occur after the expiry date, the previous domain name is displayed.

예: vitalik.eth

expiryDatestring

Indicates the expiry date of the ENS domain. If domain renewal or new registration does not occur after the expiry date, the previous expiry date is returned.

X-API-KEY
RequestCU80
cURL
curl -X POST "https://web3.nodit.io/v1/ethereum/mainnet/ens/getEnsNameByAddress" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
}'
Response
Example · 200
{
  "name": "vitalik.eth",
  "expiryDate": "string"
}